Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## vut.msa.pojos
Class Client

    java.lang.Object
      vut.msa.pojos.Client

All Implemented Interfaces:
  java.io.Serializable, SelectPojo

    public class Client

extends java.lang.Object
implements java.io.Serializable, SelectPojo

See Also:
  Serialized Form

Constructor Summary
`Client()`

Method Summary
`BackupDisk` | `getBackupDisk()`
`java.util.Set<Backup>` | `getBackups()`
`int` | `getBackupsCount()` Metoda vrati pocet zaloh daneho klienta.
`java.lang.String` | `getClientId()`
`java.lang.String` | `getClientName()`
`java.lang.Short` | `getId()`
`ClientInformation` | `getInformation()`
`java.util.Date` | `getLastUpdate()`
`java.lang.String` | `getName()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getType()`
`java.lang.Integer` | `getVersion()`
`boolean` | `isActive()`
`void` | `setBackupDisk(BackupDisk backupDisk)`
`void` | `setBackups(java.util.Set<Backup> backups)`
`void` | `setClientId(java.lang.String clientId)`
`void` | `setClientName(java.lang.String clientName)`
`void` | `setId(java.lang.Short id)`
`void` | `setInformation(ClientInformation information)`
`void` | `setLastUpdate(java.util.Date lastUpdate)`
`void` | `setPassword(java.lang.String password)`
`void` | `setType(BackupSchedule type)`
`void` | `setType(java.lang.String type)`
`void` | `setVersion(java.lang.Integer version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Client

    public Client()

Method Detail

### getBackups

    public java.util.Set<Backup> getBackups()

### setBackups

    public void setBackups(java.util.Set<Backup> backups)

### getId

    public java.lang.Short getId()

  Specified by:
    `getId` in interface `SelectPojo`

### setId

    public void setId(java.lang.Short id)

### getInformation

    public ClientInformation getInformation()

### setInformation

    public void setInformation(ClientInformation information)

### getClientId

    public java.lang.String getClientId()

### setClientId

    public void setClientId(java.lang.String clientId)

### getClientName

    public java.lang.String getClientName()

### setClientName

    public void setClientName(java.lang.String clientName)

### getLastUpdate

    public java.util.Date getLastUpdate()

### setLastUpdate

    public void setLastUpdate(java.util.Date lastUpdate)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String password)

### getVersion

    public java.lang.Integer getVersion()

### setVersion

    public void setVersion(java.lang.Integer version)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### setType

    public void setType(BackupSchedule type)

### getBackupDisk

    public BackupDisk getBackupDisk()

### setBackupDisk

    public void setBackupDisk(BackupDisk backupDisk)

### getBackupsCount

    public int getBackupsCount()

  Metoda vrati pocet zaloh daneho klienta.

  Returns:
    pocet zaloh na disku daneho klienta

### isActive

    public boolean isActive()

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `SelectPojo`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD